# 4.1
SHOW TABLES;
SHOW COLUMNS FROM artikel;
SHOW COLUMNS FROM kunden;

SELECT *
FROM artikel;
SELECT *
FROM kunden;
# 4.2
SELECT A_Bez, A_VK, (A_Bestand - A_MinBestand) AS Vorraetig
FROM artikel
ORDER BY Vorraetig DESC;
# 4.3
SELECT *
FROM artikel
WHERE A_Art = 'Monitor';
# 4.4
SELECT *
FROM artikel
WHERE A_Art = 'Monitor'and A_VK > '150';
# 4.5
SELECT A_Art, MIN(A_VK) AS MINUMUM, MAX(A_VK) AS MAXIMUM, AVG(A_VK) AS DURCHSCHNITT
FROM artikel
GROUP BY A_Art;
# 4.6
SELECT A_Art, MIN(A_VK) AS MINUMUM, MAX(A_VK) AS MAXIMUM, AVG(A_VK) AS DURCHSCHNITT
FROM artikel
GROUP BY A_Art
HAVING DURCHSCHNITT > 100;
# 4.7
SELECT AVG(A_VK) AS GESAMT_DURCHSCHNITT
FROM artikel;
# 4.8
SELECT *
FROM artikel
WHERE A_VK > (SELECT AVG(A_VK) AS GESAMT_DURCHSCHNITT
    FROM artikel)
ORDER BY A_VK DESC;
# 4.9
SELECT A_Art, COUNT(*) AS ARTIKELANZAHL
FROM artikel
GROUP BY A_Art;
# 4.10
# 4.11
# 4.12
# 4.13
# 4.14
# 4.15
# 4.16
# 4.17
